"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DatasourceMigration = void 0;
const tslib_1 = require("tslib");
const is_1 = tslib_1.__importDefault(require("@sindresorhus/is"));
const abstract_migration_1 = require("../base/abstract-migration");
class DatasourceMigration extends abstract_migration_1.AbstractMigration {
    constructor() {
        super(...arguments);
        this.propertyName = 'datasource';
    }
    run(value) {
        if (is_1.default.string(value)) {
            let newValue = value;
            switch (newValue) {
                case 'adoptium-java':
                    newValue = 'java-version';
                    break;
                case 'dotnet':
                    newValue = 'dotnet-version';
                    break;
            }
            this.rewrite(newValue);
        }
    }
}
exports.DatasourceMigration = DatasourceMigration;
//# sourceMappingURL=datasource-migration.js.map