import { z } from 'zod';
import type { PackageDependency } from '../../types';
export declare const mavenRules: readonly ["maven_install"];
export declare const MavenTarget: z.ZodEffects<z.ZodObject<{
    rule: z.ZodEnum<["maven_install"]>;
    artifacts: z.ZodEffects<z.ZodArray<z.ZodUnion<[z.ZodString, z.ZodObject<{
        group: z.ZodString;
        artifact: z.ZodString;
        version: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        group: string;
        version: string;
        artifact: string;
    }, {
        group: string;
        version: string;
        artifact: string;
    }>]>, "many">, {
        group: string;
        version: string;
        artifact: string;
    }[], (string | {
        group: string;
        version: string;
        artifact: string;
    })[]>;
    repositories: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
}, "strip", z.ZodTypeAny, {
    repositories?: string[] | undefined;
    rule: "maven_install";
    artifacts: {
        group: string;
        version: string;
        artifact: string;
    }[];
}, {
    repositories?: string[] | undefined;
    rule: "maven_install";
    artifacts: (string | {
        group: string;
        version: string;
        artifact: string;
    })[];
}>, PackageDependency<Record<string, any>>[], {
    repositories?: string[] | undefined;
    rule: "maven_install";
    artifacts: (string | {
        group: string;
        version: string;
        artifact: string;
    })[];
}>;
